<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/1_core/dayzexpansion_core/cf_trace.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/deb/a00710_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">cf_trace.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d4/deb/a00710.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d9/dc7/a04161.html">    1</a></span>modded <span class="keyword">class </span><a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="preprocessor">#ifndef CF_TRACE_STACK_NAME_ASSUMPTION_FIX</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d9/dc7/a04161.html#a9df833adb7ad72705473ff3866e49db1">    4</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/dc7/a04161.html#a9df833adb7ad72705473ff3866e49db1">IsLogged</a>()</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    {</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        <span class="keywordflow">return</span> m_DoLog;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    }</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span> </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d9/dc7/a04161.html#a491d94c3dbec36137dd475045dbd9296">   10</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/dc7/a04161.html#a491d94c3dbec36137dd475045dbd9296">Debug</a>(<span class="keywordtype">string</span> message, <span class="keywordtype">string</span> param1 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param2 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param3 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param4 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param5 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param6 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param7 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param8 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param9 = <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    {</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../d9/dc7/a04161.html#a9df833adb7ad72705473ff3866e49db1">IsLogged</a>())</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        {</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        }</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        CF_Log.Debug(<a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a>.Depth() + <span class="stringliteral">&quot; &quot;</span> + message, param1, param2, param3, param4, param5, param6, param7, param8, param9);</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    }</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d9/dc7/a04161.html#a87ec8a704ee056cc1a6b3acf163d972d">   20</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/dc7/a04161.html#a87ec8a704ee056cc1a6b3acf163d972d">Info</a>(<span class="keywordtype">string</span> message, <span class="keywordtype">string</span> param1 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param2 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param3 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param4 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param5 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param6 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param7 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param8 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param9 = <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../d9/dc7/a04161.html#a9df833adb7ad72705473ff3866e49db1">IsLogged</a>())</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        }</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        CF_Log.Info(<a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a>.Depth() + <span class="stringliteral">&quot; &quot;</span> + message, param1, param2, param3, param4, param5, param6, param7, param8, param9);</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span> </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../d9/dc7/a04161.html#aa5c2a6d8b6ac43c242535566102a0906">   30</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/dc7/a04161.html#aa5c2a6d8b6ac43c242535566102a0906">Warn</a>(<span class="keywordtype">string</span> message, <span class="keywordtype">string</span> param1 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param2 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param3 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param4 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param5 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param6 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param7 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param8 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param9 = <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../d9/dc7/a04161.html#a9df833adb7ad72705473ff3866e49db1">IsLogged</a>())</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span> </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        CF_Log.Warn(<a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a>.Depth() + <span class="stringliteral">&quot; &quot;</span> + message, param1, param2, param3, param4, param5, param6, param7, param8, param9);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span> </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../d9/dc7/a04161.html#ac24d56af835753fd5e4c6cf848257d5b">   40</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/dc7/a04161.html#ac24d56af835753fd5e4c6cf848257d5b">Error</a>(<span class="keywordtype">string</span> message, <span class="keywordtype">string</span> param1 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param2 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param3 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param4 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param5 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param6 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param7 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param8 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param9 = <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../d9/dc7/a04161.html#a9df833adb7ad72705473ff3866e49db1">IsLogged</a>())</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        CF_Log.Error(<a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a>.Depth() + <span class="stringliteral">&quot; &quot;</span> + message, param1, param2, param3, param4, param5, param6, param7, param8, param9);</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span> </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../d9/dc7/a04161.html#a550e96aff679e4cdcc31a0d9d2cf20f2">   50</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/dc7/a04161.html#a550e96aff679e4cdcc31a0d9d2cf20f2">Critical</a>(<span class="keywordtype">string</span> message, <span class="keywordtype">string</span> param1 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param2 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param3 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param4 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param5 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param6 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param7 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param8 = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">string</span> param9 = <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../d9/dc7/a04161.html#a9df833adb7ad72705473ff3866e49db1">IsLogged</a>())</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        }</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span> </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        CF_Log.Critical(<a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a>.Depth() + <span class="stringliteral">&quot; &quot;</span> + message, param1, param2, param3, param4, param5, param6, param7, param8, param9);</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>};</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span> </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span><span class="preprocessor">#ifdef DIAG</span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>modded <span class="keyword">class </span>CF_Log</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>{</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    <span class="keyword">static</span> <span class="keywordtype">int</span> Level = CF_LogLevel.TRACE;</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>};</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span> </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span><span class="preprocessor">#ifndef CF_TRACE_STACK_NAME_ASSUMPTION_FIX</span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">   69</a></span><span class="keyword">static</span> <a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a> <a class="code hl_function" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(<span class="keywordtype">bool</span> doLog, Class instance)</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>{</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    <span class="keyword">auto</span> trace = <span class="keyword">new</span> <a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a>(<a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a>.FormatInstance(instance), <span class="stringliteral">&quot;&quot;</span>, 0, doLog);</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    <span class="keywordflow">return</span> trace;</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>}</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span> </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno"><a class="line" href="../../d4/deb/a00710.html#a2dbd0d5f5331e4721875b123084eb0df">   75</a></span><span class="keyword">static</span> <a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a> <a class="code hl_function" href="../../d4/deb/a00710.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(<span class="keywordtype">bool</span> doLog, Class instance)</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>{</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    <span class="keyword">auto</span> trace = <span class="keyword">new</span> <a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a>(<a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a>.FormatInstance(instance), <span class="stringliteral">&quot;&quot;</span>, 1, doLog);</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    <span class="keywordflow">return</span> trace;</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>}</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span> </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno"><a class="line" href="../../d4/deb/a00710.html#a0d014f7d8fe470a42032abc78925b9d5">   81</a></span><span class="keyword">static</span> <a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a> <a class="code hl_function" href="../../d4/deb/a00710.html#a0d014f7d8fe470a42032abc78925b9d5">CF_Trace_2</a>(<span class="keywordtype">bool</span> doLog, Class instance)</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>{</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    <span class="keyword">auto</span> trace = <span class="keyword">new</span> <a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a>(<a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a>.FormatInstance(instance), <span class="stringliteral">&quot;&quot;</span>, 2, doLog);</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    <span class="keywordflow">return</span> trace;</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>}</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span> </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno"><a class="line" href="../../d4/deb/a00710.html#a08d74a8231214471dffe0cce98ef192b">   87</a></span><span class="keyword">static</span> <a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a> <a class="code hl_function" href="../../d4/deb/a00710.html#a08d74a8231214471dffe0cce98ef192b">CF_Trace_3</a>(<span class="keywordtype">bool</span> doLog, Class instance)</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>{</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    <span class="keyword">auto</span> trace = <span class="keyword">new</span> <a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a>(<a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a>.FormatInstance(instance), <span class="stringliteral">&quot;&quot;</span>, 3, doLog);</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    <span class="keywordflow">return</span> trace;</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>}</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span> </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno"><a class="line" href="../../d4/deb/a00710.html#a80a675936def22637c7cbe3df71b31bd">   93</a></span><span class="keyword">static</span> <a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a> <a class="code hl_function" href="../../d4/deb/a00710.html#a80a675936def22637c7cbe3df71b31bd">CF_Trace_4</a>(<span class="keywordtype">bool</span> doLog, Class instance)</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>{</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    <span class="keyword">auto</span> trace = <span class="keyword">new</span> <a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a>(<a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a>.FormatInstance(instance), <span class="stringliteral">&quot;&quot;</span>, 4, doLog);</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    <span class="keywordflow">return</span> trace;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>}</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span> </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="../../d4/deb/a00710.html#a771c721d7019bb405f51b7ff0950d747">   99</a></span><span class="keyword">static</span> <a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a> <a class="code hl_function" href="../../d4/deb/a00710.html#a771c721d7019bb405f51b7ff0950d747">CF_Trace_5</a>(<span class="keywordtype">bool</span> doLog, Class instance)</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>{</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    <span class="keyword">auto</span> trace = <span class="keyword">new</span> <a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a>(<a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a>.FormatInstance(instance), <span class="stringliteral">&quot;&quot;</span>, 5, doLog);</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    <span class="keywordflow">return</span> trace;</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>}</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span> </div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno"><a class="line" href="../../d4/deb/a00710.html#a2a34ffbcc470de3c171afbe6848af17f">  105</a></span><span class="keyword">static</span> <a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a> <a class="code hl_function" href="../../d4/deb/a00710.html#a2a34ffbcc470de3c171afbe6848af17f">CF_Trace_6</a>(<span class="keywordtype">bool</span> doLog, Class instance)</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>{</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    <span class="keyword">auto</span> trace = <span class="keyword">new</span> <a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a>(<a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a>.FormatInstance(instance), <span class="stringliteral">&quot;&quot;</span>, 6, doLog);</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    <span class="keywordflow">return</span> trace;</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>}</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span> </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno"><a class="line" href="../../d4/deb/a00710.html#ae83bcd0b39f31200436523c93ba2f58d">  111</a></span><span class="keyword">static</span> <a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a> <a class="code hl_function" href="../../d4/deb/a00710.html#ae83bcd0b39f31200436523c93ba2f58d">CF_Trace_7</a>(<span class="keywordtype">bool</span> doLog, Class instance)</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>{</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    <span class="keyword">auto</span> trace = <span class="keyword">new</span> <a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a>(<a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a>.FormatInstance(instance), <span class="stringliteral">&quot;&quot;</span>, 7, doLog);</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>    <span class="keywordflow">return</span> trace;</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>}</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span> </div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno"><a class="line" href="../../d4/deb/a00710.html#a7c2ecac260e46153d9a33d49f98410fb">  117</a></span><span class="keyword">static</span> <a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a> <a class="code hl_function" href="../../d4/deb/a00710.html#a7c2ecac260e46153d9a33d49f98410fb">CF_Trace_8</a>(<span class="keywordtype">bool</span> doLog, Class instance)</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>{</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    <span class="keyword">auto</span> trace = <span class="keyword">new</span> <a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a>(<a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a>.FormatInstance(instance), <span class="stringliteral">&quot;&quot;</span>, 8, doLog);</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    <span class="keywordflow">return</span> trace;</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>}</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span> </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno"><a class="line" href="../../d4/deb/a00710.html#a52e878150faab6b76a76910b1e340975">  123</a></span><span class="keyword">static</span> <a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a> <a class="code hl_function" href="../../d4/deb/a00710.html#a52e878150faab6b76a76910b1e340975">CF_Trace_9</a>(<span class="keywordtype">bool</span> doLog, Class instance)</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>{</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>    <span class="keyword">auto</span> trace = <span class="keyword">new</span> <a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a>(<a class="code hl_class" href="../../d9/dc7/a04161.html">CF_Trace</a>.FormatInstance(instance), <span class="stringliteral">&quot;&quot;</span>, 9, doLog);</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    <span class="keywordflow">return</span> trace;</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>}</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span><span class="preprocessor">#endif</span></div>
<div class="ttc" id="aa00710_html_a08d74a8231214471dffe0cce98ef192b"><div class="ttname"><a href="../../d4/deb/a00710.html#a08d74a8231214471dffe0cce98ef192b">CF_Trace_3</a></div><div class="ttdeci">static CF_Trace CF_Trace_3(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00087">cf_trace.c:87</a></div></div>
<div class="ttc" id="aa00710_html_a0d014f7d8fe470a42032abc78925b9d5"><div class="ttname"><a href="../../d4/deb/a00710.html#a0d014f7d8fe470a42032abc78925b9d5">CF_Trace_2</a></div><div class="ttdeci">static CF_Trace CF_Trace_2(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00081">cf_trace.c:81</a></div></div>
<div class="ttc" id="aa00710_html_a2a34ffbcc470de3c171afbe6848af17f"><div class="ttname"><a href="../../d4/deb/a00710.html#a2a34ffbcc470de3c171afbe6848af17f">CF_Trace_6</a></div><div class="ttdeci">static CF_Trace CF_Trace_6(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00105">cf_trace.c:105</a></div></div>
<div class="ttc" id="aa00710_html_a2dbd0d5f5331e4721875b123084eb0df"><div class="ttname"><a href="../../d4/deb/a00710.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a></div><div class="ttdeci">static CF_Trace CF_Trace_1(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00075">cf_trace.c:75</a></div></div>
<div class="ttc" id="aa00710_html_a52e878150faab6b76a76910b1e340975"><div class="ttname"><a href="../../d4/deb/a00710.html#a52e878150faab6b76a76910b1e340975">CF_Trace_9</a></div><div class="ttdeci">static CF_Trace CF_Trace_9(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00123">cf_trace.c:123</a></div></div>
<div class="ttc" id="aa00710_html_a5be2213174cd68943ae1e0885eca5ec7"><div class="ttname"><a href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a></div><div class="ttdeci">static CF_Trace CF_Trace_0(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00069">cf_trace.c:69</a></div></div>
<div class="ttc" id="aa00710_html_a771c721d7019bb405f51b7ff0950d747"><div class="ttname"><a href="../../d4/deb/a00710.html#a771c721d7019bb405f51b7ff0950d747">CF_Trace_5</a></div><div class="ttdeci">static CF_Trace CF_Trace_5(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00099">cf_trace.c:99</a></div></div>
<div class="ttc" id="aa00710_html_a7c2ecac260e46153d9a33d49f98410fb"><div class="ttname"><a href="../../d4/deb/a00710.html#a7c2ecac260e46153d9a33d49f98410fb">CF_Trace_8</a></div><div class="ttdeci">static CF_Trace CF_Trace_8(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00117">cf_trace.c:117</a></div></div>
<div class="ttc" id="aa00710_html_a80a675936def22637c7cbe3df71b31bd"><div class="ttname"><a href="../../d4/deb/a00710.html#a80a675936def22637c7cbe3df71b31bd">CF_Trace_4</a></div><div class="ttdeci">static CF_Trace CF_Trace_4(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00093">cf_trace.c:93</a></div></div>
<div class="ttc" id="aa00710_html_ae83bcd0b39f31200436523c93ba2f58d"><div class="ttname"><a href="../../d4/deb/a00710.html#ae83bcd0b39f31200436523c93ba2f58d">CF_Trace_7</a></div><div class="ttdeci">static CF_Trace CF_Trace_7(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00111">cf_trace.c:111</a></div></div>
<div class="ttc" id="aa04161_html"><div class="ttname"><a href="../../d9/dc7/a04161.html">CF_Trace</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00001">cf_trace.c:2</a></div></div>
<div class="ttc" id="aa04161_html_a491d94c3dbec36137dd475045dbd9296"><div class="ttname"><a href="../../d9/dc7/a04161.html#a491d94c3dbec36137dd475045dbd9296">CF_Trace::Debug</a></div><div class="ttdeci">void Debug(string message, string param1=&quot;&quot;, string param2=&quot;&quot;, string param3=&quot;&quot;, string param4=&quot;&quot;, string param5=&quot;&quot;, string param6=&quot;&quot;, string param7=&quot;&quot;, string param8=&quot;&quot;, string param9=&quot;&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00010">cf_trace.c:10</a></div></div>
<div class="ttc" id="aa04161_html_a550e96aff679e4cdcc31a0d9d2cf20f2"><div class="ttname"><a href="../../d9/dc7/a04161.html#a550e96aff679e4cdcc31a0d9d2cf20f2">CF_Trace::Critical</a></div><div class="ttdeci">void Critical(string message, string param1=&quot;&quot;, string param2=&quot;&quot;, string param3=&quot;&quot;, string param4=&quot;&quot;, string param5=&quot;&quot;, string param6=&quot;&quot;, string param7=&quot;&quot;, string param8=&quot;&quot;, string param9=&quot;&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00050">cf_trace.c:50</a></div></div>
<div class="ttc" id="aa04161_html_a87ec8a704ee056cc1a6b3acf163d972d"><div class="ttname"><a href="../../d9/dc7/a04161.html#a87ec8a704ee056cc1a6b3acf163d972d">CF_Trace::Info</a></div><div class="ttdeci">void Info(string message, string param1=&quot;&quot;, string param2=&quot;&quot;, string param3=&quot;&quot;, string param4=&quot;&quot;, string param5=&quot;&quot;, string param6=&quot;&quot;, string param7=&quot;&quot;, string param8=&quot;&quot;, string param9=&quot;&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00020">cf_trace.c:20</a></div></div>
<div class="ttc" id="aa04161_html_a9df833adb7ad72705473ff3866e49db1"><div class="ttname"><a href="../../d9/dc7/a04161.html#a9df833adb7ad72705473ff3866e49db1">CF_Trace::IsLogged</a></div><div class="ttdeci">bool IsLogged()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00004">cf_trace.c:4</a></div></div>
<div class="ttc" id="aa04161_html_aa5c2a6d8b6ac43c242535566102a0906"><div class="ttname"><a href="../../d9/dc7/a04161.html#aa5c2a6d8b6ac43c242535566102a0906">CF_Trace::Warn</a></div><div class="ttdeci">void Warn(string message, string param1=&quot;&quot;, string param2=&quot;&quot;, string param3=&quot;&quot;, string param4=&quot;&quot;, string param5=&quot;&quot;, string param6=&quot;&quot;, string param7=&quot;&quot;, string param8=&quot;&quot;, string param9=&quot;&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00030">cf_trace.c:30</a></div></div>
<div class="ttc" id="aa04161_html_ac24d56af835753fd5e4c6cf848257d5b"><div class="ttname"><a href="../../d9/dc7/a04161.html#ac24d56af835753fd5e4c6cf848257d5b">CF_Trace::Error</a></div><div class="ttdeci">void Error(string message, string param1=&quot;&quot;, string param2=&quot;&quot;, string param3=&quot;&quot;, string param4=&quot;&quot;, string param5=&quot;&quot;, string param6=&quot;&quot;, string param7=&quot;&quot;, string param8=&quot;&quot;, string param9=&quot;&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00040">cf_trace.c:40</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_e41a39fc54324e7c48dc27d9a3dfeffd.html">1_core</a></li><li class="navelem"><a class="el" href="../../dir_cad6168b3b0908d31c56af5d341414bf.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../d4/deb/a00710.html">cf_trace.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
